﻿#Region "Imports"

Imports Infragistics.Controls.Schedules
Imports Infragistics.Controls.Schedules.Primitives

#End Region

Public Class MyAppointmentDialogCore
  Inherits AppointmentDialogCore


  Public Sub New(container As FrameworkElement, dataManager As XamScheduleDataManager, activity As ActivityBase, allowModifications As Boolean, allowRemove As Boolean)
    MyBase.New(container, dataManager, CType(activity, Appointment))
  End Sub


  '...
  'reduced
  '...

  '---> metadata don't raise UpdateDirtyStatus
  Public ReadOnly Property ValueChangedCommand As MyRelayCommand
    Get
      If IsNothing(_valueChangedCommand) Then
        _valueChangedCommand = New MyRelayCommand(Sub()
                                                    MyBase.UpdateDirtyStatus(True)
                                                  End Sub)
      End If
      Return _valueChangedCommand
    End Get
  End Property
  Private _valueChangedCommand As MyRelayCommand


End Class