﻿Imports Infragistics.Controls.Schedules

Public Class MyScheduleDialogFactory
  Inherits ScheduleDialogFactoryBase

  Public Overrides ReadOnly Property SupportedActivityDialogTypes() As ActivityTypes
    Get
      Return ActivityTypes.Appointment
    End Get
  End Property

  Public Overrides Function CreateActivityDialog(container As FrameworkElement,
                                                 dataManager As XamScheduleDataManager,
                                                 activity As ActivityBase,
                                                 allowModifications As Boolean,
                                                 allowRemove As Boolean) As FrameworkElement
    Select Case activity.ActivityType
      Case ActivityType.Appointment
        If True Then
          Dim dh = New MyDialogHelper
          Return dh.CreateAppointmentDialog(container, dataManager,
                                            activity, allowModifications, allowRemove)
        End If
      Case Else
        If True Then
          Return Nothing
        End If
    End Select
    Return Nothing
  End Function

End Class